<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.rhzfFw.mapper.RhzfFwMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rhzfFwResultMap" type="org.springblade.modules.log.rhzfFw.entity.RhzfFwEntity">
        <result column="id" property="id"/>
        <result column="dzbm" property="dzbm"/>
        <result column="dz_type" property="dzType"/>
        <result column="dyh" property="dyh"/>
        <result column="lch" property="lch"/>
        <result column="lcnpmh" property="lcnpmh"/>
        <result column="fw_lb" property="fwLb"/>
        <result column="fw_yt" property="fwYt"/>
        <result column="fw_xz" property="fwXz"/>
        <result column="fw_syyt" property="fwSyyt"/>
        <result column="fw_mj" property="fwMj"/>
        <result column="fw_js" property="fwJs"/>
        <result column="sfkf" property="sfkf"/>
        <result column="fwlx" property="fwlx"/>
        <result column="gzyj" property="gzyj"/>
        <result column="qzzp" property="qzzp"/>
        <result column="aqffxc" property="aqffxc"/>
        <result column="wtfy" property="wtfy"/>
        <result column="wtfy_fj" property="wtfyFj"/>
        <result column="md_id" property="mdId"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="dyh_suffix" property="dyhSuffix"/>
        <result column="lch_suffix" property="lchSuffix"/>
        <result column="lcnpmh_suffix" property="lcnpmhSuffix"/>
        <result column="times" property="times"/>
        <result column="jd" property="jd"/>
        <result column="wd" property="wd"/>
        <result column="zp" property="zp"/>
    </resultMap>


    <select id="selectRhzfFwPage" resultMap="rhzfFwResultMap">
        select * from log_rhzf_fw where is_deleted = 0
    </select>


    <select id="exportRhzfFw" resultType="org.springblade.modules.log.rhzfFw.excel.RhzfFwExcel">
        SELECT * FROM log_rhzf_fw ${ew.customSqlSegment}
    </select>

</mapper>
